%define upstream_name    Device-SerialPort
%define upstream_version 1.04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 14

Summary:	POSIX clone of Win32::SerialPort
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel


%description
This module provides an object-based user interface essentially identical
to the one provided by the Win32::SerialPort module.

Initialization
    The primary constructor is *new* with either a _PortName_, or a
    _Configuretion File_ specified. With a _PortName_, this will open the
    port and create the object. The port is not yet ready for read/write
    access. First, the desired _parameter settings_ must be established.
    Since these are tuning constants for an underlying hardware driver in
    the Operating System, they are all checked for validity by the methods
    that set them. The *write_settings* method updates the port (and will
    return True under POSIX). Ports are opened for binary transfers. A
    separate 'binmode' is not needed.

      $PortObj = new Device::SerialPort ($PortName, $quiet, $lockfile)
           || die "Can't open $Port%{?perl_default_filter}

Name: $!\n";

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{_mandir}/man1/*
%perl_vendorlib/*
/usr/bin/modemtest


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-14.mga6
+ Revision: 1025721
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.40.0-13.mga6
+ Revision: 957179
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.40.0-12.mga6
+ Revision: 843796
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 1.40.0-11.mga5
+ Revision: 790453
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-10.mga5
+ Revision: 747038
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-9.mga5
+ Revision: 684353
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.40.0-8.mga5
+ Revision: 631105
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.40.0-7.mga4
+ Revision: 524288
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.40.0-6.mga4
+ Revision: 430658
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-5.mga3
+ Revision: 365899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.40.0-4.mga3
+ Revision: 250550
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 105391
- fix files
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 30147
- mageia rebuild
- imported package perl-Device-SerialPort

